#ifndef _ALLOC_CHECK_H_
#define _ALLOC_CHECK_H_

#include <stdio.h>

#ifdef __cplusplus
extern "C" {
#endif	/* __cplusplus */

void *chk_malloc(size_t size);
void *chk_realloc(void *ptr, size_t size);
void chk_free(void *ptr);
void get_alloc_stats(FILE *out);

#ifdef __cplusplus
}
#endif	/* __cplusplus */

#endif	/* _ALLOC_CHECK_H_ */
